## class Fl_Single_Window

### Class Hierarchy

    Fl_Window
       |
       +----Fl_Single_Window

### Include Files

    #include <FL/Fl_Single_Window.H>

### Description

This is the same as `Fl_Window`. However, it is possible that some implementations will provide double-buffered windows by default. This subclass can be used to force single-buffering. This may be useful for modifying existing programs that use incremental update, or for some types of image data, such as a movie flipbook.

### Methods

- Fl_Single_Window
- ~Fl_Single_Window

#### Fl_Single_Window::Fl_Single_Window(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Single_Window` widget using the given position, size, and label (title) string.

#### virtual Fl_Single_Window::~Fl_Single_Window()

Destroys the window and all child widgets.